Bug 760145 - Drift snapshot displays wrong directory name on windows
Drift snapshot displays wrong directory name on windows
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Windows
unspecified Severity low (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10 789492
  Show dependency treegraph
 
Reported: 2011-12-05 09:16 EST by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
4 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 789492 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
invalid dirname screenshot (60.96 KB, image/png)
2011-12-05 09:24 EST, Libor Zoubek
no flags Details
Screenshot (37.42 KB, image/png)
2011-12-15 07:29 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Libor Zoubek 2011-12-05 09:16:44 EST
Description of problem:


Version-Release number of selected component (if applicable):
Version: 3.0.0.GA
Build Number: e23441b:4e746e8

How reproducible:always


Steps to Reproduce:
1. have an windows agent
2. create drift from file-system template on widnows agent
3. set "C:\" as base directory
4. set "tmp" and "**/*" to include path
5. put some files to C:\tmp
6. run drift detection
7. select drift and click on "Pin" to Pin your snapshot
  
Actual results:
Table showing contents of snapshot shows "mp" as directory name instead of "tmp"


Expected results:
Directory name in snapshot is displayed correctly

Additional info: It seems like missing "t" was eaten by backslash (full path to dir is C:\tmp
Comment 1 Libor Zoubek 2011-12-05 09:24:09 EST
Created attachment 540942 [details]
invalid dirname screenshot
Comment 2 Jay Shaughnessy 2011-12-05 15:31:57 EST
This is fairly bad as the paths get corrupted for all drift entries when
the basedir is a windows file system root (e.g. c:/ or d:/).  There is
no workaround other than not using the file system root as the basedir.
Comment 3 Jay Shaughnessy 2011-12-05 15:58:29 EST
master commit 83197699d41880beb6266fc47d38cbf201bce7a4
Comment 4 Jay Shaughnessy 2011-12-05 16:00:37 EST
Test Notes:
validate on windows *and* linux:
- Using root dir basedir with an includes subdir
- Using non-root basedir without an includes
- Using non-root basedir with an includes subdir
Comment 5 Sunil Kondkar 2011-12-15 07:29:16 EST
Verified on master build#836 (Version: 4.3.0-SNAPSHOT Build Number: 3300dff)

Followed the steps and verified that the directory name displayed is correct. Please refer the screenshot.
Verified on windows and linux root and non-root basedir with and without an includs subdir. The path is displayed correctly.
Comment 6 Sunil Kondkar 2011-12-15 07:29:45 EST
Created attachment 547206 [details]
Screenshot
Comment 7 Heiko W. Rupp 2013-08-31 06:17:21 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.